=== changelog ===
glibc (2.21-0ubuntu4.1) wily-security; urgency=medium

  * SECURITY UPDATE: glibc getaddrinfo stack-based buffer overflow
    - debian/patches/any/CVE-2015-7547.diff: fix buffer handling in
      resolv/nss_dns/dns-host.c, resolv/res_query.c, resolv/res_send.c.
    - CVE-2015-7547

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 16 Feb 2016 11:42:41 -0500

glibc (2.21-0ubuntu4) vivid; urgency=medium

  * debian/patches/arm/local-arm-futex.diff: Lie about the minimum
    kernel support for futex_atomic_cmpxchg_inatomic to restore the
    previous state and make pulsesink happier on ARM (LP: #1436162)
  * debian/debhelper.in/libc.preinst: Wipe ld.so.cache on upgrades.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 25 Mar 2015 14:31:51 -0600

glibc (2.21-0ubuntu3) vivid; urgency=medium

  * debian/patches/ubuntu/local-warn-bsd-source.diff: Don't warn on
    _BSD_SOURCE || _SVID_SOURCE, so we don't have to fix everything
    that might define them and build with -Werror, drop post-vivid.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 23 Mar 2015 09:01:43 -0600

glibc (2.21-0ubuntu2) vivid; urgency=medium

  * debian/patches/powerpc/cvs-ppc-sqrt.diff: Fix sqrt() on powerpc.
  * debian/patches/powerpc/cvs-ppc-sqrtf.diff: Likewise for sqrtf().
  * debian/patches/powerpc/cvs-ppc-pow.diff: Likewise for pow().
  * debian/patches/powerpc/cvs-ppc-feraiseexcept.diff: Fix inline
    feraiseexcept and feclearexcept macro input conversion on PPC.
  * debian/patches/any/submitted-longdouble.diff: Refresh for above.
  * debian/patches/any/local-disable-test-tgmath2.diff: Likewise.
  * debian/patches/any/cvs-logbl-accuracy.diff: Fix ldbl-128ibm logbl.
  * debian/patches/powerpc/local-math-logb.diff: Refresh and move to
    debian/patches/any/local-math-logb.diff, as it's not PPC-specific.
  * debian/patches/any/cvs-localplt-new-readelf.diff: Preemptively
    fix localplt test breakage with binutils 2.26 before it lands.
  * debian/patches/any/cvs-make-typo.diff: Fix typo in elf/Makefile.
  * debian/patches/powerpc/cvs-power7-strncpy.diff: Optimize strncpy
    for POWER7 drastically (10-70%) on strings longer than 16 chars.
  * debian/patches/powerpc/cvs-ppc-tabort-le.diff: Fix TABORT encoding
    when building on toolchains without HTM support (no-op on gcc-4.9)
  * debian/patches/arm/cvs-arm-sfi_breg.diff: Fix LDR_GLOBAL macro.
  * debian/patches/arm/cvs-memcpy-memmove-always-bx.diff: Fix memcpy
    and memmove for the ARM_ALWAYS_BX class of hardware like ArmadaXP.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 20 Mar 2015 15:19:40 -0600

glibc (2.21-0ubuntu1) vivid; urgency=medium

  * Merge with 2.21 from experimental (LP: #1425623), remaining changes:
    - Drop the Breaks line from libc which refers to a Debian transition.
    - Remove the libc6 recommends on libc6-i686, which we don't build.
    - Enable libc6{,-dev}-armel on armhf and libc6{-dev}-armhf on armel.
    - Ship update-locale and validlocale in /usr/sbin in libc-bin.
    - Don't build locales or locales-all in Ubuntu, we rely on langpacks.
    - Heavily mangle the way we do service restarting on major upgrades.
    - Build i386 variants as -march=i686, build amd64 with -O3, and build
      ppc64 variants (both 64-bit and 32-bit) with -O3 -fno-tree-vectorize.
    - Build generic i386/i686 flavour with -mno-tls-direct-seg-refs.
    - Drop the libc6-xen flavour, as the above change covers Xen's needs.
    - Enable systemtap support, which is currently disabled in Debian.
    - Force tuning POWER7 builds to POWER8, as POWER7 is just a stopgap.
  * debian/patches/ubuntu/lddebug-scopes.diff: Disable tst-dl-iter-static.
  * debian/patches/ubuntu/submitted-no-stack-backtrace.diff: Fix missing
    include leading to FTBFS with -Werror=implicit-function-declaration.
  * debian/testsuite-checking/compare.sh: Turn testsuite failures back on.
  * debian/sysdeps/linux.mk: Also symlink sys/sdt-config.h (LP: #1418239)

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 16 Mar 2015 10:25:48 -0600

glibc (2.21-0experimental0) experimental; urgency=medium

  * New upstream release: version 2.21, with git updates up to 2015-02-10:
    - debian/patches/git-updates.diff: Updated.
    - debian/patches/all/submitted-po-fr-fixes.diff: Rebased.
    - debian/patches/alpha/cvs-__pointer_chk_guard.diff: Merged.
    - debian/patches/alpha/cvs-unwind-backtrace.diff: Merged.
    - debian/patches/alpha/local-gcc4.1.diff: Rebased.
    - debian/patches/alpha/local-lowlevellock.diff: Dropped.
    - debian/patches/alpha/local-string-functions.diff: Rebased.
    - debian/patches/alpha/submitted-PTR_MANGLE.diff: Rebased.
    - debian/patches/alpha/submitted-dl-support.diff: Rebased.
    - debian/patches/alpha/submitted-lll_futex_timed_wait_bitset.diff: Dropped.
    - debian/patches/alpha/submitted-rtld-fPIC.diff: Rebased.
    - debian/patches/amd64/cvs-slow-sse42.diff: Merged.
    - debian/patches/amd64/local-blacklist-on-TSX-Haswell.diff: Rebased.
    - debian/patches/amd64/submitted-rwlock-stack-imbalance.diff: Dropped.
    - debian/patches/any/cvs-check_pf-infinite-loop.diff: Merged.
    - debian/patches/any/cvs-getnetbyname.diff: Merged.
    - debian/patches/any/cvs-regex-alloca.diff: Merged.
    - debian/patches/any/cvs-resolv-first-query-failure.diff: Merged.
    - debian/patches/any/cvs-socketcall-syscall.diff: Merged.
    - debian/patches/any/cvs-strtod.diff: Merged.
    - debian/patches/any/cvs-vfprintf.diff: Merged.
    - debian/patches/any/cvs-wordexp.diff: Merged.
    - debian/patches/any/cvs-wprintf.diff: Merged.
    - debian/patches/any/cvs-wscanf.diff: Merged.
    - debian/patches/any/local-disable-libnss-db.diff: Rebased.
    - debian/patches/any/local-disable-test-tgmath2.diff: Rebased.
    - debian/patches/any/local-libgcc-compat-ports.diff: Rebased.
    - debian/patches/any/local-libpic.diff: Rebased.
    - debian/patches/any/local-no-SOCK_NONBLOCK.diff: Rebased.
    - debian/patches/any/local-no-pagesize.diff: Rebased.

