=== debian/changelog ===
ifupdown (0.7.54ubuntu1.3) wily; urgency=medium

  * Fix false-positive recursion detection. (LP: #1545302)

 -- Dariusz Gadomski <dariusz.gadomski@canonical.com>  Wed, 17 Feb 2016 17:48:41 +0100

ifupdown (0.7.54ubuntu1.2) wily; urgency=medium

  [ Martin Pitt ]
  * Fix ifquery crash if interface state file does not exist yet.
    (Closes: #810779, LP: #1532722)

 -- Dariusz Gadomski <dariusz.gadomski@canonical.com>  Tue, 12 Jan 2016 11:07:00 +0100

ifupdown (0.7.54ubuntu1.1) wily; urgency=medium

  * Per-interface hierarchical locking. (LP: #1337873)

 -- Dariusz Gadomski <dariusz.gadomski@canonical.com>  Thu, 01 Oct 2015 17:14:14 +0200

ifupdown (0.7.54ubuntu1) wily; urgency=medium

  * Merge with Debian unstable. Remaining Ubuntu changes:
    - Always call dhclient with -1, Ubuntu carries a patch so that renewal
      won't time out.
    - Allow setting the MTU and HWADDR on manual interfaces. (LP: #1294807)
    - The above change also means that manual interfaces will now be
      brought up and down (ias many users expected until now).
    - Disable link.defn as it's not covering all the cases supported by
      the vlan and bridge hooks and so causes more harm than good at this
      point. (LP: #1295304)
    - Add ifup-wait-all-auto.service which makes network-online.target wait
      for all "auto" /etc/network/interfaces for up to two minutes.
    - debian/postinst: Bring back missing /etc/rcS.d/networking symlink, to
      clean up after old broken upgrades. (LP: #1439109) Needs to be kept
      until after 16.04 LTS.
   * Drop debian/ifupdown.udev. We don't support the "netdev" group.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 10 Jul 2015 06:44:18 +0200

ifupdown (0.7.54) unstable; urgency=medium

  [ Guus Sliepen ]
  * Adopting this package from Andrew Shadura. Closes: #786902
  * Converted the Mercurial repository to Git.
  * Clean up the source code (indentation, whitespace, remove some
    duplication, fix some warnings from cppcheck, clang, use C99, use const
    and static where possible, remove unused/obsolete files).
  * Prevent recursion using source and source-dir statements. Closes: #779786
  * Create /run/network if it doesn't exist. Closes: #681872
  * Bump Standards-Version.
  * Use [$arch-any] statements in debian/control for architecture-dependent
    Depends instead of conditionally calling dh_gencontrol from debian/rules.
  * Add -Wno-unused-parameters to CFLAGS in debian/rules.
  * Update debian/copyright and convert it to DEP-5 format.
  * Remove debian/README and debian/TODO, which are no longer relevant.
  * Update timestamp in manpages. Closes: #717266
  * Do not attempt to kill udhcpc if there is no pidfile. Closes: #744167
  * Add udev rule to allow rfkill for group netdev. Closes: #741454

  [ Yuriy Vostrikov ]
  * When using dhcpcd, pass the metric option. Closes: #784611

 -- Guus Sliepen <guus@debian.org>  Mon, 08 Jun 2015 23:39:41 +0200

ifupdown (0.7.53.1) unstable; urgency=medium

  * Update tests.

 -- Andrew Shadura <andrewsh@debian.org>  Fri, 13 Mar 2015 13:18:59 +0100

ifupdown (0.7.53) unstable; urgency=medium

  * Default accept_ra to 0 when gateway is set (Closes: #775660).
  * Don't try to parse a non-existing file given by wordexp (Closes: #776578).

 -- Andrew Shadura <andrewsh@debian.org>  Fri, 13 Mar 2015 08:55:42 +0100

ifupdown (0.7.52) unstable; urgency=medium

  * Fix segfault when /e/n/i can't be read. Fail only when the file
    has errors, issue a warning when it can't be opened (Closes: #774212).

 -- Andrew Shadura <andrewsh@debian.org>  Sun, 04 Jan 2015 15:21:25 +0100

ifupdown (0.7.51) unstable; urgency=medium

  [ Michael Biebl ]
  * Check the hotplug interface operstate to avoid blocking the
    boot process (Closes: #771943).

 -- Andrew Shadura <andrewsh@debian.org>  Sun, 14 Dec 2014 12:34:19 +0100

ifupdown (0.7.50) unstable; urgency=medium

  [ Andrew Shadura ]
  * Configure the loopback interface by default only if user hasn't
    defined their own loopback interface (Closes: #709378).
  * Update udhcp command-line options (Closes: #741579).
  * Fix compiler warnings.
  * Update the documentation regarding "source" keyword.

  [ Michael Biebl ]
  * Call "udev settle" explicitly before configuring any devices (Closes:
    #766943).

 -- Andrew Shadura <andrewsh@debian.org>  Sat, 29 Nov 2014 14:32:32 +0100

ifupdown (0.7.49) unstable; urgency=medium

  [ Andrew Shadura ]
  * Proper implementation of auto on kFreeBSD (Closes: #738942).
  * Don't fail on sysctl failing (Closes: #757937).
  * Accept router advertisements when using DHCPv6 (Closes: #753580).
  * Don't configure hotplug interfaces on networking start to avoid races.

  [ Stéphane Graber ]
  * Upstart job tweaks.

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 23 Sep 2014 17:39:51 +0200

ifupdown (0.7.48.1ubuntu10) vivid; urgency=medium

  * ifup-wait-all-auto.service: Relax dependencies to allow early boot
    services like open-iscsi to wait for network-online.target.
    (LP: #1444555)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 15 Apr 2015 17:20:09 -0500

ifupdown (0.7.48.1ubuntu9) vivid; urgency=medium

  * debian/ifupdown.ifup-wait-all-auto.service: Wait until ifup's are actually
    done (their pid files go away), not just until ifstate claims that they
    are up (which happens at the beginning of ifup, not at the end). Fixes
    network-online.target to wait until "auto" interfaces are really up.
    (LP: #1442828)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 12 Apr 2015 06:49:10 -0500

ifupdown (0.7.48.1ubuntu8) vivid; urgency=medium

  * debian/postinst: Bring back missing /etc/rcS.d/networking symlink, to
    clean up after old broken upgrades. (LP: #1439109)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 08 Apr 2015 12:02:39 +0200

ifupdown (0.7.48.1ubuntu7) vivid; urgency=medium

  * Fix symlink target of ifup-wait-all-auto.service so that it works as
    intended.  LP: #1425376.


